/*
 * Copyright (C) 2023 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { ComponentFixture, TestBed, waitForAsync } from '@angular/core/testing';
import { MAT_DIALOG_DATA, MatDialogRef } from '@angular/material/dialog';
import { MatIconModule } from '@angular/material/icon';
import { AlertService, BciComponentModule, ModalWindowService } from '@bci-web-core/core';
import { of } from 'rxjs';
import { ModalWindowDemoDisableModalComponent } from './modal-window-demo-disable-modal.component';

describe('ModalWindowDemoDisableModalComponent', () => {
  let component: ModalWindowDemoDisableModalComponent;
  let fixture: ComponentFixture<ModalWindowDemoDisableModalComponent>;

  beforeEach(
    waitForAsync(() => {
      TestBed.configureTestingModule({
        imports: [BciComponentModule, MatIconModule],
        providers: [
          { provide: MAT_DIALOG_DATA, useValue: {} },
          {
            provide: MatDialogRef,
            useValue: {
              _containerInstance: {
                _config: {},
              },
              // eslint-disable-next-line no-empty-function
              close: () => {},
              backdropClick: () => of(''),
              keydownEvents: () => of(''),
            },
          },
          AlertService,
          ModalWindowService,
        ],
        declarations: [ModalWindowDemoDisableModalComponent],
      }).compileComponents();
    })
  );

  beforeEach(() => {
    fixture = TestBed.createComponent(ModalWindowDemoDisableModalComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
